## xenops-cli 0.9.1

=== Makefile ===
.PHONY: all clean install build
all: build doc

J=4

BINDIR ?= /usr/bin
DESTDIR ?= /

export OCAMLRUNPARAM=b

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure

build: setup.data setup.bin
	@./setup.bin -build -j $(J)

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

install: setup.bin
	@./setup.bin -install
	install -D ./main.native $(DESTDIR)/$(BINDIR)/xenops-cli

test: setup.bin build
	@./setup.bin -test

reinstall: setup.bin
	@./setup.bin -reinstall
	install -D ./main.native $(DESTDIR)/$(BINDIR)/xenops-cli

uninstall:
	rm -f $(DESTDIR)/$(BINDIR)/xenops-cli

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin

=== debian/changelog ===
xenops-cli (0.9.1-2) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Thu, 30 May 2013 12:00:00 +0000

=== debian/control ===
Source: xenops-cli
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libxcp-idl-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 libuuidm-ocaml-dev,
 librpc-ocaml-dev,
 ocaml-findlib,
 ocaml-native-compilers,
 libcmdliner-ocaml-dev

Package: xenops-cli
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: CLI for xenopsd, the xapi toolstack domain manager
 Command-line interface for xenopsd, the xapi toolstack domain
 manager.
